in scala.collection.immutable
class ITree

`case private class` ITree [A, B]
  `extends` scala.collection.immutable.InsertTree[A, B]
  `with` scala.ScalaObject
  `with` scala.Product

  `ITree` is an internal class used by `Tree`.

Constructor Summary
| `def` this (t: scala.collection.immutable.GBTree[A, B])(view$2: (A) => scala.Ordered[A])

Val Summary
| `val` t : scala.collection.immutable.GBTree[A, B]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` arity : scala.Int
`final` `override` | `def` element (x$1: scala.Int) : scala.Any
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
`override` | `def` hashCode : scala.Int
| `def` insertLeft (key: A, value: B, bigger: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.ITree[A, B]
| `def` insertRight (key: A, value: B, smaller: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.ITree[A, B]
| `def` node : scala.collection.immutable.GBTree[A, B]
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` toString : java.lang.String

Def inherited from scala.collection.immutable.InsertTree[A, B]
insertLeft , insertRight, node

Def inherited from scala.Product
arity , element, productPrefix

Constructor Detail

`def` this (t: scala.collection.immutable.GBTree[A, B])(view$2: (A) => scala.Ordered[A])

Val Detail

`val` t : scala.collection.immutable.GBTree[A, B]

Def Detail

`final override def` $tag : scala.Int

`final override def` arity : scala.Int

`final override def` element (x$1: scala.Int): scala.Any

`override def` equals (x$1: scala.Any): scala.Boolean

`override def` hashCode : scala.Int

`def` insertLeft (key: A, value: B, bigger: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.ITree[A, B]

`def` insertRight (key: A, value: B, smaller: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.ITree[A, B]

`def` node : scala.collection.immutable.GBTree[A, B]

`final override def` productPrefix : java.lang.String

`override def` toString : java.lang.String